OPENCLONK(6)

NAME
openclonk - multiplayer game of strategy, action and skill

SYNOPSIS
openclonk [options]

DESCRIPTION
OpenClonk is a free multiplayer action game where you control clonks, small but witty and nimble humanoid beings. The game is mainly about mining, settling and fast-paced melees. OpenClonk is also not just a game but also a versatile 2D game engine that offers countless possibilities to make own mods.

OPTIONS
Without startup parameters, the game starts in fullscreen (player mode) and shows the startup menu. The following command line parameters are recognized:

--editor
    Starts in editor mode (also called developer mode or windowed mode). In editor mode, scenarios can be edited and saved. The game will also start in editor mode if a scenario (*.ocs) and no --fullscreen is specified.

--fullscreen
    Starts in fullscreen mode (also called player mode). If no scenario and no direct join address is given, the startup menu is shown.

--config=FILE
    Loads and saves the configuration from the specified file instead of the default configuration file.

--record
    The round is recorded.

--network, --nonetwork
    Activates or deactivates network mode.

--signup, --nosignup
    Activates or deactivates online signup of the game as public internet game. This value is stored in the configuration.

    --signup implies --network. --nosignup implies --noleague.

--league, --noleague
    Activates or deactivates online signup of the game as league game. This value is stored in the configuration.

    --league implies --network and --signup.

--runtimejoin, --noruntimejoin
    Activates or deactivates runtime join. This setting will be stored in the configuration.

--lobby[=TIME]
    Activates the lobby before a network game is started. The lobby is the waiting and chat screen. The lobby is on by default for all network games.

    Implies --network. If you specify a time (e.g. --lobby=120) the lobby will start with a countdown, automatically launching the game after (in this case) 120 seconds.

--observe
    For network games: The client joins as observer (without players).

    Implies --network.

--join=ADDRESS, clonk://ADDRESS/
    Searches for a network game on the specified address and joins it. No local scenario (*.ocs) should be specified.

    Implies --network.

--tcpport=PORT
    Sets the TCP port number for client connections in network games. This setting will be stored in the configuration. If -1 is specified, TCP is disabled and all connections are created using UDP.

--udpport=PORT
    Sets the UDP port number for client connections in network games. This setting will be stored in the configuration. If -1 is specified, UDP is disabled and all connections are created using TCP.

--pass[=PASSWORD]
    For network hosts: sets the join password to the specified value. If PASSWORD is left empty, no password is set.

--comment=COMMENT
    For network hosts: sets the network game comment. This setting will be stored in the configuration.

--update
    Performs an update check at program start.

--recdump=FILE
    Only for replay of recorded games: Before the replay is started, all replay data (player controls) are dumped into a file called FILE in the Clonk folder. If the file name extension is .txt, the controls will be dumped in text mode, otherwise binary. The replay file must be specified separately as a scenario file (e.g. openclonk Records.ocf/Record001.ocs --recdump=CtrlRec.txt).

--startup=NAME
    Only for fullscreen startup menu: Instead of the main menu, one of the submenus is shown directly. Possible values for NAME are "main" (Main menu), "scen" (Scenario selection), "netscen" (Scenario selection for a new network game), "net" (Network/Internet game list), "options" (Options menu) and "plrsel" (Player selection).

*.ocs
    If a scenario is specified (File extension .ocs), it will be started directly.

*.ocd
    If the started scenario does not specify any required definitions (File extension .ocd), and no definitions are supplied in the registry, definitions can be specified via command line.

*.ocp
    Player files (File extension .ocp) can be specified in the command line. If no player files are given, the config values are used. By specifying a non-existant player (like doesnotexist.ocp), the game can be started without players (e.g. in order to just edit landscapes in developer mode).

AUTHORS
The original Clonk source code is Copyright (c) 2001-2009, RedWolf Design GmbH. OpenClonk has been extended by various contributors, their copyright is documented in the source code.

This manual page was written by Philipp Kern <pkern@debian.org> based on the OpenClonk documentation.